Skip to main content
GET
Get Offer URL by ID
Retrieve a single offer URL by its ID. Returns the full offer URL object including destination URL, status, and affiliate targeting.

Authorizations

X-Eflow-Api-Key
string
header
required

The Everflow API key generated from the Control Center > Security.

Path Parameters

offerUrlId
integer
required

The offer URL ID.

Response

200 - application/json
network_offer_url_id
integer

Unique offer URL ID.

network_id
integer

Network ID.

network_offer_id
integer

The ID of the offer to which this offer URL is associated.

name
string

The name of the offer URL.

destination_url
string

The URL the offer URL will redirect to.

preview_url
string

A preview URL, if it exists.

url_status
enum<string>

Status of the offer URL setting.

Available options:
active,
paused,
deleted
network_affiliate_ids
integer[] | null

The IDs of the affiliates that are to be affected by the offer URL. Only relevant when is_apply_specific_affiliates is true.

is_apply_specific_affiliates
boolean

Determines whether this offer URL applies to all affiliates or only to a select few. When true, the network_affiliate_ids array must be filled.

is_hidden_affiliate
boolean

Determines whether affiliates will see this offer URL or not in the affiliate UI / API.

time_created
integer

Unix timestamp of creation.

Example:

1734455015

time_saved
integer

Unix timestamp of last update.

Example:

1734455015

remote_offer_resource
object

Remote offer resource configuration.